=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Detect name of new compiler, take care that debian uses amd64 instead of x86_64
CPU_SOURCE := $(subst amd64,x86_64,$(shell dpkg-architecture -qDEB_BUILD_ARCH))
CPU_TARGET := $(subst amd64,x86_64,$(shell dpkg-architecture -qDEB_HOST_ARCH))
# Fixup armel, too
CPU_SOURCE := $(subst armel,arm,$(CPU_SOURCE))
CPU_TARGET := $(subst armel,arm,$(CPU_TARGET))

ifeq ($(CPU_TARGET),arm)
MAKEFILE=Makefile.ARMel
endif
ifeq ($(CPU_TARGET),i386)
MAKEFILE=Makefile.i386
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.		
	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	$(MAKE) -f $(MAKEFILE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	# Add here commands to clean up after the build process.
	-$(MAKE) clean
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	#cd source
	# Add here commands to install the package into debian/cps2emu.
	#$(MAKE) install DESTDIR=$(CURDIR)/debian/cps2emu	
	
	mkdir -p $(CURDIR)/debian/cps2emu/opt/cps2emu/bin
		
	#Copy compiled binary
	cp $(CURDIR)/cps2emu $(CURDIR)/debian/cps2emu/opt/cps2emu/bin/
	cp $(CURDIR)/cps2romcnv $(CURDIR)/debian/cps2emu/opt/cps2emu/bin/
	#Qt4 GUI
	cp $(CURDIR)/cps2gui/cps2gui $(CURDIR)/debian/cps2emu/opt/cps2emu/bin/
	
	#Create binary folder
	mkdir -p $(CURDIR)/debian/cps2emu/usr/bin
	
	#With Qt4 and Icon, we dont need loaders.
	#Loaders
	#cp $(CURDIR)/cps2emu.sh $(CURDIR)/debian/cps2emu/usr/bin/
	#cp $(CURDIR)/cps2romcnv.sh $(CURDIR)/debian/cps2emu/usr/bin/
	
	#copy info files
	mkdir $(CURDIR)/debian/cps2emu/opt/cps2emu/config/
	cp -r $(CURDIR)/config/* $(CURDIR)/debian/cps2emu/opt/cps2emu/config/
	
	# maemo stuff
	# ROM folder
	mkdir -p $(CURDIR)/debian/cps2emu/home/user/MyDocs/ROMs/CPS2	
	 
	#Maemo Desktop Icon
	mkdir -p $(CURDIR)/debian/cps2emu/usr/share/applications/hildon
	cp $(CURDIR)/cps2emu.desktop $(CURDIR)/debian/cps2emu/usr/share/applications/hildon

	#Icones
	mkdir -p $(CURDIR)/debian/cps2emu/usr/share/pixmaps
	cp $(CURDIR)/cps2emu.png $(CURDIR)/debian/cps2emu/usr/share/pixmaps/

	#Links simbolicos
	#cps2romcnv cps2emu cps2gui
	ln -sf /opt/cps2emu/bin/cps2emu $(CURDIR)/debian/cps2emu/usr/bin/
	ln -sf /opt/cps2emu/bin/cps2romcnv $(CURDIR)/debian/cps2emu/usr/bin/
	ln -sf /opt/cps2emu/bin/cps2gui $(CURDIR)/debian/cps2emu/usr/bin/
	
# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
#	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	#dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
