## cps2emu 0.6

=== debian/changelog ===
cps2emu (0.6) unstable; urgency=high
  * postinst revised, again
  * We not need ~/MyDocs/ROMs/CPS2 anymore
  * State SAVE and LOAD working, use 'l' to show MENU
  * CPS2gui now can load from any folder
  * Last file and folder used, when reopen cps2gui.
  * HiScore working, romname.hi are saved to "./hi"
  * Save state on exit and load state on start a game, saved to "./state"
  * Autocreate ./nvram and ./hi
  * Config file at ~/.config/cps2emu/cps2gui.conf

 -- Marcus Fazzi (Anunakin) <anunakin@ieee.org>  Tue, 26 Oct 2010 10:11:55 -0300
