=== debian/rules ===
--- 
+++ 
@@ -75,8 +75,8 @@
 	cp -r $(CURDIR)/config/* $(CURDIR)/debian/cps2emu/opt/cps2emu/config/
 	
 	# maemo stuff
-	# ROM folder
-	mkdir -p $(CURDIR)/debian/cps2emu/home/user/MyDocs/ROMs/CPS2	
+	# CONFIG folder (CPS2gui make this step)
+	#mkdir -p $(CURDIR)/debian/cps2emu/home/user/.cps2emu/
 	 
 	#Maemo Desktop Icon
 	mkdir -p $(CURDIR)/debian/cps2emu/usr/share/applications/hildon
